{% trans_default_domain 'orkestra' %}

{% block orkestra_storage_file_widget %}
    {# @var file \Orkestra\Entity\Storage\AbstractFile #}
    {% set attr = attr|merge({class: (attr.class|default('') ~ ' custom-file-input')|trim}) %}
    <div>
        <div class="input-group">
            {% if file.file and allow_download %}
                <div class="input-group-prepend">
                    <a class="btn btn-primary" href="{% if download_route is empty %}{{ file(file) }}{% else %}{{ url(download_route, {entity: form.parent.vars.data.id, filename: file.filename}) }}{% endif %}" target="_blank" title="Download {{ file.filename }}">
                        <em class="fa fa-download"></em>
                    </a>
                </div>
            {% endif %}
            <div class="custom-file">
                {{- block('form_widget_simple') -}}
                <label class="custom-file-label" for="{{ id }}" data-label-empty="Choose file..." data-label-files="%d files selected">
                    {% if file.file %}
                        {{ file.filename }}
                    {% else %}
                        Choose file...
                    {% endif %}
                </label>
            </div>
        </div>
    </div>
{% endblock %}

{% block orkestra_storage_image_widget %}
    {# @var thumbnail \Orkestra\Annotation\Storage\Thumbnail #}
    {# @var data \Orkestra\Entity\Storage\Image #}
    <div class="slim" style="height: {{ height }}px; width: {{ width }}px;"
         data-label="{{ dropzone_label }}"
         data-ratio="{{ thumbnail.ratioWidth }}:{{ thumbnail.ratioHeight }}"
         data-min-size="{{ thumbnail.minWidth }},{{ thumbnail.minHeight }}"
         data-size="{{ width }},{{ height }}"
         data-default-input-name="{{ full_name }}"
         data-rotate-button="false"
         data-did-remove="__orkestra_handleSlimRemoval"
         data-post="actions,input"
         {% if data and data.file %}data-crop="{{ data.cropX }},{{ data.cropY }},{{ data.cropWidth }},{{ data.cropHeight }}"{% endif %}
    >
        {% if data and data.file %}
            <img src="{{ file(data) }}" alt="">
        {% endif %}
        <input type="file" name="{{ full_name }}"{% if required and not data.file %} required{% endif %}>
    </div>
{% endblock %}

{% block orkestra_storage_image_collection_widget %}
    {# @var thumbnail \Orkestra\Annotation\Storage\Thumbnail #}
    {# @var data \Orkestra\Entity\Storage\Image[] #}
    <div class="row slim-collection">
        <!-- New image(s) -->
        <div class="col-sm-6 col-md-3 d-flex align-items-stretch align-items-center mb-4">
            <div class="slim-sim d-flex flex-column">
                <p>{{ add_images_label }}</p>
                <div>
                    <div class="input-group">
                        <div class="custom-file">
                            <input type="file" class="custom-file-input" multiple name="{{ full_name }}[add][]" id="{{ id }}_add">
                            <label class="custom-file-label" for="{{ id }}_add" data-label-empty="Choose images..." data-label-files="%d files selected">
                                Browse...
                            </label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Existing images -->
        {% for index, image in data|filter(image => image.file) %}
            <div class="col-sm-6 col-md-3 mb-4">
                <div class="slim"
                     data-label="{{ dropzone_label }}"
                     data-ratio="{{ thumbnail.ratioWidth }}:{{ thumbnail.ratioHeight }}"
                     data-min-size="{{ thumbnail.minWidth }},{{ thumbnail.minHeight }}"
                     data-size="{{ width }},{{ height }}"
                     data-default-input-name="{{ full_name }}"
                     data-rotate-button="false"
                     data-did-remove="__orkestra_handleSlimRemoval"
                     data-post="actions,input"
                     data-crop="{{ image.cropX }},{{ image.cropY }},{{ image.cropWidth }},{{ image.cropHeight }}"
                >
                        <img src="{{ file(image) }}" alt="">
                    <input type="file" name="{{ full_name }}[{{ index }}]">
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}